Bug 119556 - Print dialog: "Use only paper size from printer preferences" may be shown with inconsistent values
Summary: Print dialog: "Use only paper size from printer preferences" may be shown wit...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.1.2 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-28 06:06 UTC by Michael Weghorn
Modified: 2018-09-20 15:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-08-28 06:06:29 UTC
Since commit ee6dad51150fd53d19f882edfefa879e18f9897d, the "Use only paper size from printer preferences" option in the print dialog (under Linux) is shown in two places:
    
1) in the "Options" tab
2) in the "Properties" -> "Paper" tab

However, when changing the current value in 2), the change is not reflected in the UI in 1).

Steps to reproduce:

1) open any document
2) open print dialog ("File" -> "Print")
3) click the "Properties" button 
4) make sure the "Paper" tab is active
5) enable the checkbox for "Use only paper size from printer preferences"
6) confirm by clicking "OK"
7) switch to the "Options" tab
8) observe whether the checkbox for "Use only paper size from printer preferences" is enabled/checked there

Actual result:

The checkbox is not enabled, i.e. it does not have the value that was previously set in the "Properties" -> "Paper" tab.

Expected behaviour:

The checkbox should be checked. Changing the value at any of the two above-mentioned places should always be correctly reflected in the UI at the other place as well.
Comment 1 Michael Weghorn 2018-08-28 06:11:18 UTC
Patch on gerrit to address this issue: https://gerrit.libreoffice.org/#/c/59581/
Comment 2 Michael Weghorn 2018-08-28 16:44:07 UTC
This is now fixed with commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=571df3ede6f09c945c4cdfd37f34ef760b6b1af2

(Unfortunately, I forgot the '#' sign in the commit summary, so the reference was not added here automatically...)
Comment 3 Commit Notification 2018-08-28 20:33:22 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89c4a0a60a711c67fa1e63c0fedf950265b84b3d&h=libreoffice-6-1

tdf#119556 Sync "Use only paper size from printer preferences"

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2018-09-20 15:06:42 UTC
The 2 options are in connected now. It's solved.

tested on
Version: 6.2.0.0.alpha0+
Build ID: e005ab5d40d358adb75a64e140d46f4bf605647d
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-15_02:08:38
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded